Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.barbecue
Interface BarbecueComponent

All Superinterfaces:
  java.lang.Cloneable, Component, JRCloneable

All Known Implementing Classes:
  StandardBarbecueComponent

    public interface BarbecueComponent

extends Component, JRCloneable

Version:
  $Id: BarbecueComponent.java 3505 2010-03-04 14:08:05Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`JRExpression` | `getApplicationIdentifierExpression()`
`java.lang.Integer` | `getBarHeight()`
`java.lang.Integer` | `getBarWidth()`
`JRExpression` | `getCodeExpression()`
`java.lang.String` | `getEvaluationGroup()`
`byte` | `getEvaluationTime()` Deprecated. Replaced by `getEvaluationTimeValue()`.
`EvaluationTimeEnum` | `getEvaluationTimeValue()`
`java.lang.String` | `getType()`
`boolean` | `isChecksumRequired()`
`boolean` | `isDrawText()`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getType

    java.lang.String getType()

### getApplicationIdentifierExpression

    JRExpression getApplicationIdentifierExpression()

### getCodeExpression

    JRExpression getCodeExpression()

### isDrawText

    boolean isDrawText()

### isChecksumRequired

    boolean isChecksumRequired()

### getBarWidth

    java.lang.Integer getBarWidth()

### getBarHeight

    java.lang.Integer getBarHeight()

### getEvaluationTime

    byte getEvaluationTime()

  Deprecated. Replaced by `getEvaluationTimeValue()`.

### getEvaluationTimeValue

    EvaluationTimeEnum getEvaluationTimeValue()

### getEvaluationGroup

    java.lang.String getEvaluationGroup()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com